#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xeb55b0ff, "__platform_driver_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x8b9f09dd, "geni_se_resources_off" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x27dbc353, "geni_icc_disable" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0xac554591, "dma_unmap_page_attrs" },
	{ 0x4dae16e4, "i2c_put_dma_safe_msg_buf" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xce4b245f, "platform_driver_unregister" },
	{ 0x830353f9, "__pm_runtime_disable" },
	{ 0x8bc9e3e9, "__pm_runtime_set_status" },
	{ 0x775527a8, "pm_runtime_enable" },
	{ 0x42041512, "i2c_get_dma_safe_msg_buf" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3759bd32, "dma_map_page_attrs" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x50bc4891, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6ef52ca5, "geni_icc_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5d2f3502, "geni_se_resources_on" },
	{ 0x1669a732, "i2c_del_adapter" },
	{ 0xcfa5065, "dma_release_channel" },
	{ 0xc4031ecb, "dev_pm_domain_detach_list" },
	{ 0x74507890, "rt_spin_lock" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x42402cc9, "rt_spin_unlock" },
	{ 0x9eb2f467, "geni_se_select_mode" },
	{ 0x41abc6fd, "geni_se_tx_dma_prep" },
	{ 0x453c8515, "geni_se_tx_dma_unprep" },
	{ 0x884e2fd9, "geni_se_rx_dma_prep" },
	{ 0xe0e05639, "geni_se_rx_dma_unprep" },
	{ 0x8e3eb432, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xd7618f74, "__pm_runtime_suspend" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0xacf1c001, "platform_get_resource" },
	{ 0x8fb2de03, "devm_ioremap_resource" },
	{ 0x88bc5dcb, "geni_se_is_fw_managed" },
	{ 0xc9eaaf28, "device_get_match_data" },
	{ 0xafcaa071, "devm_clk_get" },
	{ 0x9c0dafa7, "device_property_read_u32_array" },
	{ 0xa1d8a1ac, "is_acpi_device_node" },
	{ 0xf82492a2, "platform_get_irq" },
	{ 0xb9448122, "geni_se_domain_attach" },
	{ 0x6b42d8f4, "set_primary_fwnode" },
	{ 0x5530cbf6, "geni_se_get_level" },
	{ 0x63f425, "geni_se_set_perf_level" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x298eb341, "rt_mutex_base_init" },
	{ 0x41373e77, "devm_request_threaded_irq" },
	{ 0x3e3ed90b, "pm_runtime_set_autosuspend_delay" },
	{ 0xc76aba83, "__pm_runtime_use_autosuspend" },
	{ 0x97f1f3f0, "geni_icc_get" },
	{ 0xb88b6cff, "geni_icc_set_bw" },
	{ 0x65d38963, "geni_se_init" },
	{ 0x8af482dd, "geni_se_config_packing" },
	{ 0x75fea18d, "__pm_runtime_idle" },
	{ 0x49ba9f3b, "i2c_add_adapter" },
	{ 0xd06fce8, "dma_request_chan" },
	{ 0x9a1b2205, "dev_err_probe" },
	{ 0xdc30c8e0, "_dev_info" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "qcom-geni-se");

MODULE_ALIAS("of:N*T*Cqcom,geni-i2c");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2cC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hubC*");
MODULE_ALIAS("acpi*:QCOM0220:*");

MODULE_INFO(srcversion, "A82E3F0A33CDE6646F3E378");
MODULE_INFO(rhelversion, "9.7");
