#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");
KSYMTAB_FUNC(geni_se_domain_attach, "_gpl", "");
KSYMTAB_FUNC(geni_se_is_fw_managed, "_gpl", "");
KSYMTAB_FUNC(geni_se_get_level, "_gpl", "");
KSYMTAB_FUNC(geni_se_set_perf_level, "_gpl", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0x4f1c09c8, "");
SYMBOL_CRC(geni_se_init, 0x65d38963, "");
SYMBOL_CRC(geni_se_select_mode, 0x9eb2f467, "");
SYMBOL_CRC(geni_se_config_packing, 0x8af482dd, "");
SYMBOL_CRC(geni_se_resources_off, 0x8b9f09dd, "");
SYMBOL_CRC(geni_se_resources_on, 0x5d2f3502, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x18a0d8cd, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0xdd01ab8c, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0xfab49753, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0x41abc6fd, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x4a5058f3, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x884e2fd9, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x453c8515, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0xe0e05639, "");
SYMBOL_CRC(geni_icc_get, 0x97f1f3f0, "");
SYMBOL_CRC(geni_icc_set_bw, 0xb88b6cff, "");
SYMBOL_CRC(geni_icc_set_tag, 0x96eb3350, "");
SYMBOL_CRC(geni_icc_enable, 0x6ef52ca5, "");
SYMBOL_CRC(geni_icc_disable, 0x27dbc353, "");
SYMBOL_CRC(geni_se_domain_attach, 0xb9448122, "_gpl");
SYMBOL_CRC(geni_se_is_fw_managed, 0x88bc5dcb, "_gpl");
SYMBOL_CRC(geni_se_get_level, 0x5530cbf6, "_gpl");
SYMBOL_CRC(geni_se_set_perf_level, 0x0063f425, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac554591, "dma_unmap_page_attrs" },
	{ 0xa1d8a1ac, "is_acpi_device_node" },
	{ 0x54fb6d27, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9b8dfac, "_dev_err" },
	{ 0x255ab020, "icc_set_bw" },
	{ 0x98d82284, "icc_set_tag" },
	{ 0x65486ac2, "icc_enable" },
	{ 0xd1440cb0, "icc_disable" },
	{ 0xb4cf6efd, "dev_pm_domain_attach_list" },
	{ 0xc4031ecb, "dev_pm_domain_detach_list" },
	{ 0x3d432bc2, "dev_pm_opp_find_freq_floor" },
	{ 0x175a5f1c, "dev_pm_opp_get_level" },
	{ 0xb323a155, "dev_pm_opp_put" },
	{ 0x1944da16, "dev_pm_opp_get_opp_count" },
	{ 0xffd1dd0, "dev_pm_opp_find_level_exact" },
	{ 0x83e8775, "dev_pm_opp_set_opp" },
	{ 0xeb55b0ff, "__platform_driver_register" },
	{ 0x2e90c8be, "devm_kmalloc" },
	{ 0xfe8c7f5a, "devm_platform_ioremap_resource" },
	{ 0x2620a6f8, "devm_of_platform_populate" },
	{ 0x489aed58, "__dynamic_dev_dbg" },
	{ 0xc9eaaf28, "device_get_match_data" },
	{ 0x22d12e41, "device_property_present" },
	{ 0xe66da66f, "of_count_phandle_with_args" },
	{ 0x2bc2ad17, "devm_clk_bulk_get" },
	{ 0xce4b245f, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb646dfa2, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd6de13e2, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3759bd32, "dma_map_page_attrs" },
	{ 0x50bc4891, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc94b5434, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "A5AECDF151F9A774F5740D9");
MODULE_INFO(rhelversion, "9.7");
